@font-face {
  font-family: "NeutraTextBold";
  src: url("/fonts/NeutraText-Bold.otf");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: "TheanoDidot-Regular";
  src: url("/fonts/TheanoDidot-Regular.ttf");
  font-weight: normal;
  font-style: normal;
}

/*@font-face {*/
  /*font-family: "NeutraText";*/
  /*src: url("/fonts/NeutraText-Demi.otf");*/
  /*font-weight: normal;*/
  /*font-style: normal;*/
/*}*/

html, body {
  touch-action: pan-x pan-y;
}

a.disabled {
  color: gray;
  pointer-events: none;
}

.bi-check2 {
  color: #00833E;
}

.big-card-container {
  width: 400px;
}

.big-card {
  margin-top: 20vh;
  box-shadow: 0px 7px 20px 10px rgba(0, 0, 0, 0.67);
}

.big-card .card-title {
  margin-top: 10px;
  margin-bottom: 40px;
  font-family: "NeutraTextBold";
}

.btn-tiny {
  padding: 0.15rem 0.50rem!important;
  font-size: 70%;
}

.getting-started-options {
  display: flex;
  flex-direction: row;
  width: 80vw;
  justify-content: space-evenly;
}

.getting-started-option {
  padding: 20px 20px;
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 33%;
  text-decoration: none!important;
  border: 1px solid white;
}

a.getting-started-option:hover {
  border: 1px solid #ccc;
  background-color: #f3f3f3;
  border-radius: 3px;
}

.getting-started-option img {
  height: 70px;
}

.getting-started-option p {
  margin-top: 0.5rem;
  font-weight: 700;
}

.getting-started-option span {
  text-align: center;
  width: 90%;
}

.logo-footers {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.logo-footers img {
  height: 50px;
  margin-right: 10px;
}

.btn {
  padding: 0.25rem 0.75rem;
}

.btn-dark-green {
  color: white;
  /*background-color: #35441f;*/
  /*border-color: #35441f;*/
  background-color: #00833E;
  border-color: #00833E;
}

.btn-dark-green:hover {
  color: white;
  filter: brightness(85%);
}

.nav-link {
  color: white;
}

.nav-link:hover {
  color: #F4CD00;  /* b-hyve yellow */
}

.flowerbed-bg {
  background-image: url("/img/flowerbed.jpg");
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}

.sprinkler-bg {
  background-image: linear-gradient(to bottom, rgba(47, 47, 47, 1), rgba(255, 0, 0, 0)), url("/img/sprinklers.jpg");
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
}

.header-hexes {
  background-image: url("/img/hex-sm.png");
  background-position: right top;
  background-repeat: no-repeat;
  background-size: 450px auto;
}

@media (min-width: 768px) {  /* md+ */
  #header {
    height: 72px;
    margin: 0 20px;
  }
}

#header .logo {
  height: 30px;
}

#designer-container {
  height: calc(100vh - 57px);
  background-color: #f9f9f9;
  width: calc(100% - 40px);
  margin: 0 20px 20px 20px;
  padding: 0;
  border: 1px solid #333;
}

@media (min-width: 768px) {  /* md+ */
  #designer-container { height: calc(100vh - 72px - 20px); }
}

#designer {
  width: 100%;
  height: 100%;
  touch-action: none;
  outline-width: 0;
}

#footer-panel {
  align-items: center;
  background-color: rgba(47,47,47,0.8);
  bottom: 0px;
  color: rgba(255, 255, 255, 0.70);
  display: flex;
  flex-direction: row;
  height: 30px;
  justify-content: space-between;
  left: 0px;
  right: 260px;
  padding-right: 10px;
  position: absolute;
}

#floating-draw-tools .btn {
  padding: 0.15rem 0.15rem;
  display: flex;
  flex-direction: column;
}

#floating-draw-tools .btn i {
  font-size: 1.4rem;
}

#floating-draw-tools .btn span {
  text-transform: uppercase;
  font-size: 0.55rem;
}

#floating-zones-panel {
  width: 400px;
  flex-wrap: wrap;
}

#floating-zones-panel .zone-checkbox {
  width: 80px;
  font-size: 80%
}

#floating-zones-panel .zone-checkbox > input {
  height: 15px;
  width: 15px;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  appearance: none;
  border: 1px solid #999;
  border-radius: 2px;
  outline: none;
  transition-duration: 0.3s;
  cursor: pointer;
}

#floating-zones-panel .zone-checkbox label {
  cursor: pointer;
}

#floating-zones-panel .zone-checkbox > input:not(:checked) {
  background-color: #f8f9fa!important;
}


#tool-panel-container {
  box-shadow: -10px 15px 20px 5px rgba(0, 0, 0, 0.20);
  background-color: white;
  width: 260px;
  padding: 10px;
}

#tool-panel {
  height: 100%;
  overflow: auto;
}

#tool-panel .tp-item {
  border-bottom: 1px #333 solid;
  padding: 2px 0;
  margin: 2px 0;
  text-decoration: none;
  display: block;
  font-size: 90%;
  font-weight: 600;
  color: #333;
}

#tool-panel .tp-item .bi-check2 {
  font-size: 110%;
}

#tool-panel .tp-item.disabled {
  color: #666;
}

#tool-panel .tp-button {
  display: flex!important;
  flex-direction: column!important;
  align-items: center!important;
  justify-content: center!important;
  width: 70px;
  height: 70px;
  padding: 0;
}

#tool-panel .tp-button-group {
  display: flex!important;
  justify-content: space-around!important;
  flex-wrap: wrap!important
}

#watered-feature-modal {
  color: initial;
}

.floating-tool-panel {
  background-color: #f8f9fa;
  background-image: url("/img/floating-tool-panel-vertical.png");
  background-repeat: repeat-x;
  background-size: 100% 3%;
  border: 1px #ccc solid;
  border-radius: 5px;
  box-shadow: -5px 5px 10px 0px rgba(0, 0, 0, 0.20);
  padding: 20px 0px 0;
  position: absolute;
  display: flex;
  flex-direction: column;
  z-index: 1000;
}

.floating-tool-panel.row-panel {
  background-image: url("/img/floating-tool-panel-horizontal.png");
  background-repeat: repeat-y;
  background-size: 2% 150%;
  padding: 2px 0 2px 20px;
  flex-direction: row;
}


svg .feature {
  opacity: 0.5;
  stroke: #000;
  stroke-width: 1px;
  stroke-opacity: 1.0;
  vector-effect: non-scaling-stroke;
}

svg .feature.constructing {
  stroke-width: 3px;
}

svg .feature-polygon {
  fill: #000099;
}

svg .feature-line {
  fill: none;
  stroke-width: 5px;
}

svg .feature-lot {
  fill: #a1d574;
}

svg .feature-structure {
  fill: #967239;
}

svg .feature-concrete {
  fill: #939393;
}

svg .feature-deck {
  fill: #e08445;
}

svg .feature-flowerbed, svg .feature-garden {
  fill: #573816;
}

svg .feature-gravel {
  fill: #d2854c;
}

svg .feature-hedge {
  fill: #009900;
}

svg .feature-obstructed {
  fill: #444;
}

svg .feature-pool {
  fill: #0da7d1;
}

svg .feature-tree, svg .feature-shrub {
  fill: #4c994c;
}

svg .feature-connection-assembly {
  fill: #000000;
  opacity: 1.0;
}

svg .feature-manifold {
  fill: #ffffff;
  opacity: 1.0;
  stroke: #aa0000;
  stroke-width: 1px;
}

svg .manifold-top {
  fill: none;
  stroke: #aa0000;
  stroke-width: 2px;
}

svg .feature-controller {
  fill: #ee3a43;
  opacity: 1.0;
  stroke: #aa0000;
}

svg .feature-weather-sensor {
  fill: #ffffff;
  opacity: 1.0;
  stroke: #ee3a43;
  stroke-width: 2px;
}

svg .feature-sleeve {
  stroke: #aa0000;
  stroke-width: 5px;
  fill: none;
}

svg .feature-fence {
  stroke: #000;
  stroke-width: 5px;
  fill: none;
}

svg .drip-stub {
  stroke: #000;
  stroke-width: 1px;
  stroke-opacity: 1.0;
  vector-effect: non-scaling-stroke;
}

svg .feature-spray-zone {
  fill: url("#spray-zone-pattern");
}

svg .feature-rotator-zone {
  fill: url("#rotator-zone-pattern");
}

svg .feature-rotor-zone {
  fill: url("#rotor-zone-pattern");
}

svg .sprinkler-throw {
  opacity: 0.3;
  stroke: #000;
  stroke-width: 1.5px;
  stroke-opacity: 1.0;
  vector-effect: non-scaling-stroke;
}

svg .pipe {
  stroke-width: 2px;
  fill: none !important;
}

svg .main-pipe {
  stroke: #000;
}

svg .zone-1 { fill: #265186 ; }
svg .pipe.zone-1 { stroke: #265186 ; }
svg .zone-2 { fill: #d20902 ; }
svg .pipe.zone-2 { stroke: #d20902 ; }
svg .zone-3 { fill: #03fffc ; }
svg .pipe.zone-3 { stroke: #03fffc ; }
svg .zone-4 { fill: #f4750e ; }
svg .pipe.zone-4 { stroke: #f4750e ; }
svg .zone-5 { fill: #a4dbfa ; }
svg .pipe.zone-5 { stroke: #a4dbfa ; }
svg .zone-6 { fill: #ffff02 ; }
svg .pipe.zone-6 { stroke: #ffff02 ; }
svg .zone-7 { fill: #6e6eff ; }
svg .pipe.zone-7 { stroke: #6e6eff ; }
svg .zone-8 { fill: #6efe3a ; }
svg .pipe.zone-8 { stroke: #6efe3a ; }
svg .zone-9 { fill: #6f05d9 ; }
svg .pipe.zone-9 { stroke: #6f05d9 ; }
svg .zone-10 { fill: #056e05 ; }
svg .pipe.zone-10 { stroke: #056e05 ; }
svg .zone-11 { fill: #ff04ff ; }
svg .pipe.zone-11 { stroke: #ff04ff ; }
svg .zone-12 { fill: #04a4a2 ; }
svg .pipe.zone-12 { stroke: #04a4a2 ; }
svg .zone-13 { fill: #fca5da ; }
svg .pipe.zone-13 { stroke: #fca5da ; }
svg .zone-14 { fill: #265186 ; }
svg .pipe.zone-14 { stroke: #265186 ; }
svg .zone-15 { fill: #d20902 ; }
svg .pipe.zone-15 { stroke: #d20902 ; }
svg .zone-16 { fill: #03fffc ; }
svg .pipe.zone-16 { stroke: #03fffc ; }
svg .zone-17 { fill: #f4750e ; }
svg .pipe.zone-17 { stroke: #f4750e ; }
svg .zone-18 { fill: #a4dbfa ; }
svg .pipe.zone-18 { stroke: #a4dbfa ; }
svg .zone-19 { fill: #ffff02 ; }
svg .pipe.zone-19 { stroke: #ffff02 ; }
svg .zone-20 { fill: #6e6eff ; }
svg .pipe.zone-20 { stroke: #6e6eff ; }
svg .zone-21 { fill: #6efe3a ; }
svg .pipe.zone-21 { stroke: #6efe3a ; }
svg .zone-22 { fill: #6f05d9 ; }
svg .pipe.zone-22 { stroke: #6f05d9 ; }
svg .zone-23 { fill: #056e05 ; }
svg .pipe.zone-23 { stroke: #056e05 ; }
svg .zone-24 { fill: #ff04ff ; }
svg .pipe.zone-24 { stroke: #ff04ff ; }
svg .zone-25 { fill: #04a4a2 ; }
svg .pipe.zone-25 { stroke: #04a4a2 ; }
svg .zone-26 { fill: #fca5da ; }
svg .pipe.zone-26 { stroke: #fca5da ; }
svg .zone-27 { fill: #265186 ; }
svg .pipe.zone-27 { stroke: #265186 ; }
svg .zone-28 { fill: #d20902 ; }
svg .pipe.zone-28 { stroke: #d20902 ; }
svg .zone-29 { fill: #03fffc ; }
svg .pipe.zone-29 { stroke: #03fffc ; }
svg .zone-30 { fill: #f4750e ; }
svg .pipe.zone-30 { stroke: #f4750e ; }
svg .zone-31 { fill: #a4dbfa ; }
svg .pipe.zone-31 { stroke: #a4dbfa ; }
svg .zone-32 { fill: #ffff02 ; }
svg .pipe.zone-32 { stroke: #ffff02 ; }
svg .zone-33 { fill: #6e6eff ; }
svg .pipe.zone-33 { stroke: #6e6eff ; }
svg .zone-34 { fill: #6efe3a ; }
svg .pipe.zone-34 { stroke: #6efe3a ; }
svg .zone-35 { fill: #6f05d9 ; }
svg .pipe.zone-35 { stroke: #6f05d9 ; }
svg .zone-36 { fill: #056e05 ; }
svg .pipe.zone-36 { stroke: #056e05 ; }
svg .zone-37 { fill: #ff04ff ; }
svg .pipe.zone-37 { stroke: #ff04ff ; }
svg .zone-38 { fill: #04a4a2 ; }
svg .pipe.zone-38 { stroke: #04a4a2 ; }
svg .zone-39 { fill: #fca5da ; }
svg .pipe.zone-39 { stroke: #fca5da ; }


#home-header {
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.25), rgba(0, 0, 0, 0.25)), url("/img/home-header.jpg");
  background-position: center;
  background-size: cover;
  padding: 20px;
  display: flex;
  flex-direction: column;
  color: white;
  text-shadow: 9px 8px 9px black;
}

#home-header .home-hero {
  padding-top: 100px;
  padding-bottom: 30px;
}

#home-header .btn {
  text-shadow: initial;
  font-weight: 700;
}

#home-header .subhead {
  font-size: 2rem;
  font-family: "TheanoDidot-Regular";
  padding-bottom: 30px;
}

#home-header .orbit-branding img {
  height: 30px;
}

#home-gray-band {
  background-color: rgb(47, 47, 47);
  color: white;
  font-size: 25px;
  padding: 10px;
  font-family: "NeutraTextBold";
  border-top: 5px #f4cd00 solid;
}

#home-gray-band span {
  display: block;
  padding: 40px 50px;
}

#home h1 {
  font-family: "NeutraTextBold";
}

#home #steps-container {
  padding: 23px 0;
}

#home #steps-container .row {
  padding: 10px 0;
}

#home #steps-container img {
  box-shadow: 7px 9px 20px 0px #00000052;
  border-radius: 2px;
}
#home .step-info h2 {
  font-family: "NeutraTextBold";
  padding: 0px 40px 20px;
  font-size: 38px;
  font-weight: 700;
}

#home .step-info span
{
  display: block;
  padding: 0 40px;
}

#home-footer {
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.25), rgba(0, 0, 0, 0.25)), url("/img/home-footer.jpg");
  background-size: cover;
  background-position: center;
  padding: 80px;
  text-align: center;
  border-top: 5px #f4cd00 solid;
}

#home-footer h3 {
  color: white;
  font-size: 2.2rem;
  font-family: "NeutraTextBold";
  text-shadow: 9px 8px 9px black;
  padding-bottom: 20px;
}

#home-footer a {
  font-weight: 700;
}
